#!/bin/bash

. /opt/migrate-for-gce/functions.sh

disable_irqbalance() {
  if ! command_exists irqbalance ; then
    return 0
  fi
  if command_exists chkconfig ; then
    chkconfig irqbalance off
    return $?
  elif command_exists systemctl ; then
    systemctl disable irqbalance
    return $?
  else
    migrate_log "Failed disabling irqbalance"
    return 1
  fi
}

disable_irqbalance
exit $?
