#!/bin/bash

#
# Copyright (C) 2018 velostrata.com
# All Rights Reserved.
#

# shellcheck disable=SC2154
# Given by dhclient
if [ "${reason}" = "PREINIT" ] ; then
  # Network not ready yet - can't check metadata
  exit 0
fi

if [ -f "/etc/SuSE-release" ] || grep -q Ubuntu /etc/issue ; then
	/bin/bash -c ". /etc/migrate-for-gce/gcpdns/gcpdns-utils; update_dns_config"
else
	. /etc/migrate-for-gce/gcpdns/gcpdns-utils

	gcpdns_config() {
		update_dns_config
	}

	gcpdns_restore() {
		true
	}
fi
